import { HttpClient } from "@angular/common/http";
import { Injectable } from "@angular/core";

@Injectable({
  providedIn: "root",
})
export class TemplateService {
  private readonly root = "";

  constructor(private readonly http: HttpClient) {}

  get() {
    return this.http.get(`${this.root}/api/template`);
  }

  put(body: any) {
    return this.http.put(`${this.root}/api/template`, body);
  }

  post(body: any) {
    return this.http.post(`${this.root}/api/template`, body);
  }

  delete() {
    return this.http.delete(`${this.root}/api/template`);
  }
}
