var fs = require("fs");
var path = require("path");
var timeStamp = formatDate(new Date());

function formatDate(date) {
  var d = new Date(date),
    month = "" + (d.getMonth() + 1),
    day = "" + d.getDate(),
    year = d.getFullYear();

  if (month.length < 2) month = "0" + month;
  if (day.length < 2) day = "0" + day;

  return [day, month, year].join("/");
}

var dir = "src/environments";

fs.readdir(dir, (err, files) => {
  if (err) {
    console.log(err);
  } else {
    files.forEach((file) => {
      var filepath = path.join(dir, file);
      fs.readFile(filepath, "utf8", function (err, data) {
        if (err) {
          return console.log(err);
        }
        var result = data.replace("#{timestamp}", timeStamp);

        fs.writeFile(filepath, result, "utf8", function (err) {
          if (err) return console.log(err);
        });
      });
    });
  }
});
